%define anolis_release 1
Name:       xmodmap
Version:    1.0.11
Release:    %{anolis_release}%{?dist}
Summary:    Edit and display the X11 core keyboard map

License:    MIT
URL:        https://www.x.org
Source0:    https://www.x.org/pub/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  automake libtool
BuildRequires:  gcc make
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

Obsoletes:  xorg-x11-server-utils < 7.7

%description
The xmodmap program is used to edit and display the keyboard modifier
map and keymap table that are used by client applications to convert
event keycodes into keysyms.

%package doc
Summary: Doc files for xmodmap
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Doc files for xmodmap

%prep
%autosetup

%build
autoreconf -v --install
%configure --disable-silent-rules
%make_build

%install
%make_install
%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{abidir}
%{abidir}/*

%files doc
%doc AUTHORS INSTALL README.md ChangeLog

%changelog
* Tue Oct 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.11-1
- init from upstream
